App\Library\Amazon\Classes\HomeImprovementToolsType:
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\HomeImprovementToolsType\VariationDataAType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        horsepower:
            expose: true
            access_type: public_method
            serialized_name: Horsepower
            accessor:
                getter: getHorsepower
                setter: setHorsepower
            type: float
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: float
        batteryCapacity:
            expose: true
            access_type: public_method
            serialized_name: BatteryCapacity
            accessor:
                getter: getBatteryCapacity
                setter: setBatteryCapacity
            type: float
        gritRating:
            expose: true
            access_type: public_method
            serialized_name: GritRating
            accessor:
                getter: getGritRating
                setter: setGritRating
            type: integer
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        minimumAge:
            expose: true
            access_type: public_method
            serialized_name: MinimumAge
            accessor:
                getter: getMinimumAge
                setter: setMinimumAge
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
